import structio


async def main():
    await structio.aprint("[main] Threaded async I/O is working!")
    t = structio.clock()
    stuff = await structio.ainput("Type something: ")
    await structio.aprint(f"[main] Output from ainput(): {stuff}")
    print(f"[main] Exited in {structio.clock() - t:.2f} seconds")


structio.run(main)
